#if defined __ze_escapes_infects_included
	#endinput
#endif
#define __ze_escapes_infects_included

/**
 * -=| Natives |=-
 */

/**
 * Gets the number of Escapes for specific player.
 *
 * @param id    Client index.
 *
 * @return      Number of Escapes when success, NULLENT when failure.
 * @error       If this player not on game.
 */
native ze_get_user_escapes(id);

/**
 * Gets the number of Infects for specific player.
 *
 * @param id    Client index.
 *
 * @return      Number of Infects when success, NULLENT when failure.
 * @error       If this player not on game.
 */
native ze_get_user_infects(id);

/**
 * Sets the number of Escapes for specific player.
 *
 * @param id    Client index.
 * @param value Number of Escapes to be set.
 *
 * @noreturn
 * @error       If this player not on game.
 */
native ze_set_user_escapes(id, value);

/**
 * Sets the number of Infects for specific player.
 *
 * @param id    Client index.
 * @param value Number of Infects to be set.
 *
 * @noreturn
 * @error       If this player not on game.
 */
native ze_set_user_infects(id, value);